Differences between revisions 3 and 4
Revision 3 as of 2013-07-30 21:06:14
Size: 3765
Comment: sync with english master
Revision 4 as of 2014-04-30 21:50:15
Size: 4107
Comment: Sync with English master
Deletions are marked like this. Additions are marked like this.
Line 21: Line 21:

   /!\ L'installation du paquet .deb venant de ftp.adobe.com ne fonctionne pas avec Jessie amd64 (''erreur de dépendance de libgtk'') .

Notez que Adobe Acrobat nécessite l'architecture i386. Si vous n'avez pas un système i386, vous devez ajouter la prise en charge de l'architecture i386.

{{{
dpkg --add-architecture i386
}}}
Line 56: Line 65:
 * DebianPkg:pdfshuffle est un éditeur pour manipuler les documents PDF
Line 66: Line 74:
 * DebianPkg:pdfshuffler est un éditeur pour manipuler les documents PDF

Translation(s): English - Français - Italiano


Portable Document Format (PDF), voir PDF dans Wikipedia.

Visionneurs et lecteurs de PDF

Dans Debian, vous trouverez plusieurs visionneurs de fichiers PDF, tels que :

  • evince - pour le bureau GNOME

  • kpdf - pour le bureau KDE 3

  • okular - pour le bureau KDE 4

  • viewpdf.app - pour l'environnement GNUstep

  • xpdf - qui offre des fonctionnalités avancées pour d'autres gestionnaires de fenêtres X

Il existe encore d'autres visionneurs PDF disponibles, cherchez à la page http://packages.debian.org.

Acrobat Reader d'Adobe (Non-Libre)

Si vous avez vraiment besoin d'Acrobat Reader, qui n'est pas libre, il est disponible dans le dépôt deb-multimedia.org.

/!\ L'installation du paquet .deb venant de ftp.adobe.com ne fonctionne pas avec Jessie amd64 (erreur de dépendance de libgtk) .

Notez que Adobe Acrobat nécessite l'architecture i386. Si vous n'avez pas un système i386, vous devez ajouter la prise en charge de l'architecture i386.

dpkg --add-architecture i386

Pour Squeeze, ajoutez les lignes suivantes au fichier /etc/apt/sources.list (see SourcesList) :

# deb-multimedia (unofficial): Debian 6.0 (Squeeze)
deb http://www.deb-multimedia.org squeeze main non-free

Ce dépôt n'est pas "officiel" mais il fonctionne et fournit des paquets autrement introuvables.

Ensuite, saisissez dans un terminal :

apt-get update && apt-get install acroread mozilla-acroread 

Dans Mozilla, vous pouvez entrer le texte :

about:plugins

pour vérifier que le plugin est reconnu :

  • File name nppdf.so
    • application/pdf Portable Document Format pdf
    • application/vnd.fdf Acrobat Forms Data Format fdf
    • application/vnd.adobe.xfdf XML Version of Acrobat Forms Data Format xfdf
    • application/vnd.adobe.xdp+xml Acrobat XML Data Package xdp
    • application/vnd.adobe.xfd+xml Adobe FormFlow99 Data File xfd

/!\ Pour installer acroread-plugin, on doit désinstaller le paquet xine-ui et vice-versa.

Editeurs et producteurs de PDF

  • inkscape sait importer, modifier et exporter des PDF (plus d'informations : inkscape.org)

  • pdfedit est un éditeur pour manipuler les documents PDF

  • openoffice et libreoffice peuvent exporter au format PDF (voir OpenOffice ou LibreOffice)

  • gimp convertit automatiquement à l'importation les fichiers PDF en bitmap

  • cups-pdf est une imprimante virtuelle qui génère un fichier PDF à partir de n'importe quelle application

  • gscan2pdf - Une interface graphique qui produit des PDF à partir de documents scannés.

  • php-fpdf - FPDF est une classe PHP qui permet de créer des fichiers PDF avec PHP

Autres utilitaires

  • pdftk - outil très utile pour manipuler les documents PDF

  • poppler-utils - série d'utilitaires pour Portable Document Format (PDF)

  • htmldoc - programme HTML qui crée des fichiers HTML indexés, PS ou PDF

  • chm2pdf - convertit les fichiers CHM en fichiers PDF

  • qpdf - utilitaire pour transformer et vérifier des fichiers PDF

  • rst2pdf - traducteur de reStructuredText en fichier PDF

  • pdf2svg - convertit les documents PDF en fichiers SVG (un par page)

  • pdfshuffler est un éditeur pour manipuler les documents PDF

Voir aussi


CategorySoftware